using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.ContractModel.Framework.Login;
using ASHermed.SinoInterface.ContractModel;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace ASHermed.SinoInterface.Api.IService
{
    /// <summary>
	///门诊
	/// </summary>
	public interface IHosService
    {

        List<HosByLanguage> SelectListByLanguage(int language, double lon, double lat);
        List<HosInfoByLanguage> FindAll(int language);
        HosInfoByLanguage Find(int language, int hosId);
        HosByDeptLanguage FindByDeptLanguage(int deptId, int language, double lon, double lat);
        HosByDeptLanguage FindByDeptLanguageGroupCity(int deptId, int language, double? lon, double? lat);

        List<HosByCity> FindCityAll(int language);
        List<Dic_Map_Dept_Doctor> GetForDept(int deptId);
    }
}
